package cn.estsh.i3plus.pojo.form.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 数据对象
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2019-02-27 10:53
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="bf_data_object_property")
@Api(value="数据对象属性表",description = "数据对象的属性明细表")
public class BfDataObjectProperty extends BaseBean {

    @Column(name="DATA_OBJECT_ID")
    @ApiParam(value ="数据对象ID" , example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    //外键关联数据对象主键
    private Long dataObjectId;

    @Column(name="PROP_NAME")
    @ApiParam(value ="属性中文名称")
    private String propName;

    @Column(name="PROP_OBJECT_NAME")
    @ApiParam(value ="对象中的属性名")
    //在动态对象中的属性名
    private String propObjectName;

    @Column(name="PROP_COLUMN_NAME")
    @ApiParam(value ="属性字段名")
    //属性在数据库中的字段名
    private String propColumnName;

}
